Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
optimism
/
batches
List batches.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/optimism/batches \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "l1_timestamp": "2023-11-07T05:31:56Z",
      "l1_transaction_hashes": [
        "<string>"
      ],
      "l2_end_block_number": 123,
      "l2_start_block_number": 123,
      "number": 123,
      "transactions_count": 123
    }
  ],
  "next_page_params": {
    "id": 394591
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
id
integer

ID for paging

Response

List of batches.

items
Optimism.Batch · object[]
required
next_page_params
object
required
Example:
{ "id": 394591 }